/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_NATUASSUOPER                                             */
/* Tabela : NATUASSUOPER                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 18/08/2004 - Andr Rodrigo                                                 */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_NATUASSUOPER
BEFORE INSERT OR UPDATE OR DELETE
ON NATUASSUOPER FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUNASO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (:OLD.CDOPERADOR <> :NEW.CDOPERADOR) OR
         (:OLD.CDNATUASSU <> :NEW.CDNATUASSU) THEN
         :NEW.DTULTATUNASO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('NATUASSUOPER', '', 'CDOPERADOR='||:OLD.CDOPERADOR||';CDNATUASSU='||:OLD.CDNATUASSU||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE NATUASSUOPER MODIFY DTULTATUNASO DEFAULT SYSDATE
/
